com.sun.j3d.utils.behaviors.sensor

## Class Mouse6DPointerBehavior.EchoReadListener

- java.lang.Object
- - com.sun.j3d.utils.behaviors.sensor.Mouse6DPointerBehavior.EchoReadListener

- All Implemented Interfaces:
    SensorReadListener
  Enclosing class:
    Mouse6DPointerBehavior

      public class Mouse6DPointerBehavior.EchoReadListener
      extends java.lang.Object
      implements SensorReadListener

  This member class updates the echo transform in response to sensor reads.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mouse6DPointerBehavior.EchoReadListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read(SensorEvent e)` This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mouse6DPointerBehavior.EchoReadListener

          public Mouse6DPointerBehavior.EchoReadListener()

  - ### Method Detail

    - #### read

          public void read(SensorEvent e)

      Description copied from interface: `SensorReadListener`
      This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener. The sensor read value has not necessarily changed since the last read event.
      Specified by:
        `read` in interface `SensorReadListener`
      Parameters:
        `e` - the sensor event

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.